## javax.servlet
Interface ReadListener

All Superinterfaces:
  java.util.EventListener

    public interface ReadListener

extends java.util.EventListener

This class represents a call-back mechanism that will notify implementations as HTTP request data becomes available to read without blocking.

Method Summary
`void` `onAllDataRead(ServletRequest request)` Invoked when all data for the current request has been read.
`void` `onDataAvailable(ServletRequest request)` Invoked when data is available to be read without blocking.
`void` `onError(java.lang.Throwable t)` Invoked when an error occurs processing the request.

Method Detail

### onDataAvailable

    void onDataAvailable(ServletRequest request)

  Invoked when data is available to be read without blocking.

### onAllDataRead

    void onAllDataRead(ServletRequest request)

  Invoked when all data for the current request has been read.

### onError

    void onError(java.lang.Throwable t)

  Invoked when an error occurs processing the request.

Copyright © 2012 GlassFish Community. All Rights Reserved.